%bcond_without check
%define debug_package %{nil}

Name:                   dotool
Summary:                Command to simulate input anywhere
Url:                    https://git.sr.ht/~geb/dotool
%global goipath         git.sr.ht/~geb/dotool
%global forgeurl        https://git.sr.ht/~geb/dotool
%global commit          13c51f5f84796e10e41f34812c5179618183bef8
Version:                1.3
%define subrel          1
Release:                %mkrel -c git20230827 1
Group:                  System/Kernel and hardware

Source0:                dotool-%{commit}.tar.gz
Source1:                vendor.tar.xz
Patch0:                 0001-udev-rule-for-uaccess-user.patch


%global common_description %{expand:
Command to simulate input anywhere}


License:        GPL-3.0-only

BuildRequires:  golang
BuildRequires:  go-rpm-macros
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  scdoc

%description %{common_description}


%prep
%setup -D -a 1 -n dotool-%{commit}
%autopatch -p1


%build
export GOPATH=%{_builddir}/dotool-%{commit}/vendor:/usr/share/gocode
mkdir -p _build/bin
go build -o _build/bin/dotool
scdoc < doc/dotool.1.scd

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp _build/bin/dotool   %{buildroot}%{_bindir}/
install -m 0755 -vp dotoold   %{buildroot}%{_bindir}/
install -m 0755 -vp dotoolc   %{buildroot}%{_bindir}/
install -Dm644 80-dotool.rules -t %{buildroot}%{_udevrulesdir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc README.md CHANGELOG.md
%{_bindir}/*
%{_udevrulesdir}/80-dotool.rules

%post
udevadm control --reload
udevadm trigger


%changelog
* Mon Nov 06 2023 papoteur <papoteur> 1.3-0.git20230827.1.1.mga9
+ Revision: 2004875
- bump release to have it in Core

* Thu Sep 07 2023 papoteur <papoteur> 1.3-0.git20230827.2.mga10
+ Revision: 1985050
- adapt udev rule to authorize current user

* Sun Sep 03 2023 papoteur <papoteur> 1.3-0.git20230827.1.mga10
+ Revision: 1983865
- imported package dotool

